%define guidever 0.10.2-1

Name:           stellarium

Version:        0.10.5
Release:        1%{?dist}
Summary:        Photo-realistic nightsky renderer

Group:          Amusements/Graphics
License:        GPLv2+
URL:            http://stellarium.free.fr/
Source0:        http://downloads.sourceforge.net/stellarium/stellarium-%{version}.tar.gz
Source1:        stellarium.desktop
Source2:        http://downloads.sourceforge.net/stellarium/stellarium_user_guide-%{guidever}.pdf
Patch1:		stellarium-0.10.5-cmake.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL_mixer-devel
BuildRequires:  desktop-file-utils
BuildRequires:  mesa-libGLU-devel
BuildRequires:  ImageMagick
BuildRequires:  freetype-devel
BuildRequires:	cmake
BuildRequires:	qt4-devel >= 4.6.0
BuildRequires:	gettext-devel
BuildRequires:	boost-devel
BuildRequires:	glib2-devel

Requires:	opengl-games-utils

%if 0%{?fedora} > 10
Requires:	dejavu-sans-fonts dejavu-sans-mono-fonts
%endif

%if 0%{?fedora} <= 10
Requires:	dejavu-fonts
%endif

%description
Stellarium is a real-time 3D photo-realistic nightsky renderer. It can
generate images of the sky as seen through the Earth's atmosphere with
more than one hundred thousand stars from the Hipparcos Catalogue,
constellations, planets, major satellites and nebulas.

%package doc
Summary:   	The user guide about Stellarium
Group:		Documentation
License:	GFDL
Buildarch:	noarch
%description doc
The user guide for stellarium writeen by Matthew Gates. It shouuld 
contains everythings you want to know about Stellarium.

You will need a PDF viewer to read the user guide.

%prep
%setup -q
%patch1 -p1 -b .cm

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
%cmake -DCMAKE_BUILD_TYPE=Release
make VERBOSE=1 %{?_smp_mflags}
convert -size 32x32 data/icon.bmp stellarium.png

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{_bindir}/install -c -p"

desktop-file-install                            \
  --vendor fedora                               \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -m 0644 -p stellarium.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/stellarium.png
rm $RPM_BUILD_ROOT%{_datadir}/stellarium/data/stellarium.ico
cp %{SOURCE2} $RPM_BUILD_DIR/stellarium-%{version}

ln -s opengl-game-wrapper.sh $RPM_BUILD_ROOT%{_bindir}/stellarium-wrapper

rm -f $RPM_BUILD_ROOT%{_datadir}/stellarium/data/*.ttf

%find_lang %{name}
%find_lang %{name}-skycultures
cat %{name}-skycultures.lang >>%{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README 
%{_bindir}/stellarium
%{_bindir}/stellarium-wrapper
%{_datadir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/stellarium.1.gz

%files doc
%defattr(-,root,root,-) 
%doc COPYING stellarium_user_guide-%{guidever}.pdf

%changelog
* Thu Jun  3 2010 Jochen Schmitt <Jochen herr-schmitt de> 0.10.5-1
- Nrw upstream release

* Sun Mar 14 2010 Jochen Schmitt <Jochen herr-schmitt de> 0.10.4-4
- Set StartupNotify=true in desktop file

* Wed Feb 24 2010 Jochen Schmitt <Jochen herr-schmitt de> 0.10.4-3
- Remove font files

* Tue Feb 23 2010 Jochen Schmitt <Jochen herr-schmitt de> 0.10.4-2
- Fix uploaded sources

* Tue Feb 23 2010 Jochen Schmitt <Jochen herr-schmitt de> 0.10.4-1
- New upstream release

* Sun Jan 31 2010 Jochen Schmitt <Jochen herr-schmitt de> 0.10.3-1
- New upstream release (#559929)

* Wed Nov 25 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.10.2-7
- Rebuild for Qt 4.6.0 RC1 in F13 (was built against Beta 1 with unstable ABI)

* Sun Nov  1 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.10.2-6
- Remove symlink to font files

* Thu Sep 24 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.10.2-5
- Updated program documentation (#525302)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul  2 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.10.2-3
- Rebuild for new boost release

* Tue Mar 24 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.10.2-2
- Changed desktop file (#491922)

* Thu Mar 12 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.10.2-1
- New upstream release

* Thu Mar  5 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.10.1-4
- Support noarch subpackates

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb  8 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.10.1-2
- New upstream release

* Sun Jan 18 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.10.0-3
- Change Req. to fonts pakcage because fonts package renaming (#480474)

* Sun Jan  4 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.10.0-2
- Create symlinks to DejaVu fonts (#477460)

* Wed Sep 24 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.10.0-1
- New upstream release

* Sat Sep  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.9.1-7
- fix license tag

*  Mon Feb 11 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.9.1-6
- Fix gcc-4.3 related issues

* Tue Jan 22 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.9.1-1
- New upstream release

* Tue Oct 23 2007 Will Woods <wwoods@redhat.com> 0.9.0-6
- Fix opengl-game-wrapper.sh usage

* Wed Sep 26 2007 Jochen Schmitt <Jochen herr-schmitt de> 0.9.0-5
- Add usage of opengl-game-wrapper (BZ #304851)

* Thu Aug  9 2007 Jochen Schmitt <Jochen herr-schmitt de> 0.9.0-4
- Rebuild

* Tue Aug  7 2007 Jochen Schmitt <Jochen herr-schmitt de> 0.9.0-3
- Solve weakday displaying issue (#250621)

* Wed Jun 27 2007 Jochen Schmitt <Jochen herr-schmitt de> 0.9.0-2
- Change category of the desktop entry (#241440)

* Tue Jun 12 2007 Jochen Schmitt <Jochen herr-schmitt de> 0.9.0-1
- New upstream release

* Sun Dec 17 2006 Jochen Schmitt <Jochen herr-schmitt de> 0.8.2-5
- Resize icon to 32x32

* Tue Nov 14 2006 Jochen Schmitt <Jochen herr-schmitt de> 0.8.2-3
- Try to fix AMD64 problem (#210525)

* Thu Oct 19 2006 Jochen Schmitt <Jochen herr-schmitt de> 0.8.2-2
- Fix segfault on x64 systems (#210525)

* Tue Oct 10 2006 Jochen Schmitt <Jochen herr-schmitt de> 0.8.2-1
- New upstream release

* Tue Jul  4 2006 Jochen Schmitt <Jochen herr-schmitt de> 0.8.1-1
- New upstream release
- Fix demaged PDF (#197301)

* Wed May 31 2006 Jochen Schmitt <Jochen herr-schmitt de> 0.8.0-4
- Update user guide
- change dl.sf.net to prdownloads.sf.net

* Sun May  7 2006 Jochen Schmitt <Jochen herr-schmitt de> 0.8.0-3
- New upstream release

* Tue Feb 14 2006 Jochen Schmitt <Jochen herr-schmitt de> 0.7.1-7
- Add stellarium user guide as doc subpackage
- Add gcc41 patch from Diego Petteno

* Mon Feb 13 2006 Jochen Schmitt <Jochen herr-schmitt de> 0.7.1-4
- Add SDL_mixer-devel as BuildRequires:

* Sun Feb 12 2006 Jochen Schmitt <Jochen herr-schmitt de> 0.7.1-3
- Rebuilt for FC5

* Mon Oct 10 2005 Jochen Schmitt <Jochen herr-schmitt de> 0.7.1-2
- use of %%find_lang

* Sun Oct  9 2005 Jochen Schmitt <Jochen herr-schmitt de> 0.7.1-1
- New upstream release

* Thu Aug 11 2005 Jochen Schmitt <Jochen herr-schmitt de> 0.6.2-6
- Add %%{?dist} to release.

* Wed Aug 10 2005 Jochen Schmitt <Jochen herr-schmitt de> 0.6.2-5
- Fix build for GCC4.

* Thu Apr 14 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.6.2-4
- Fix build for GCC4.
- Fix desktop icon installation.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Jan 23 2005 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.6.2-2
- Fixed broken patch.

* Sun Jan 16 2005 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.6.2-0.fdr.1
- Updated to 0.6.2.

* Sun Oct 17 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.6.1-0.fdr.1
- Updated to 0.6.1.

* Sat Aug 21 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.6.0-0.fdr.2
- Patched to honour optflags.
- Added nvidia specific patch.

* Sat Jul 17 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.6.0-0.fdr.1
- Initial RPM release.
